A valid request URL is required to generate request examples{
"id": "loc_R7pA3nB9qK2mX5",
"object": "terminal.location",
"merchant_id": "mer_J4wF8tL6hC9vN2",
"livemode": false,
"display_name": "Chicago flagship",
"address": {
"line1": "401 N Morgan St",
"line2": "Suite 200",
"city": "Chicago",
"state": "IL",
"postal_code": "60642",
"country": "US"
},
"timezone": "America/Chicago",
"merchant_category_code": "5812",
"external_reference": "store_chicago_01",
"metadata": {
"region": "midwest"
},
"created_at": 1787625600,
"updated_at": 1787625600
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Create a terminal Location
Creates a Location in the authenticated key’s test or live mode. Use
the returned loc_… when requesting physical hardware for this
business location or modeling custom test inventory.
external_reference is an optional identifier from your system. When
present, it must be unique for the Merchant within this key mode.
A valid request URL is required to generate request examples{
"id": "loc_R7pA3nB9qK2mX5",
"object": "terminal.location",
"merchant_id": "mer_J4wF8tL6hC9vN2",
"livemode": false,
"display_name": "Chicago flagship",
"address": {
"line1": "401 N Morgan St",
"line2": "Suite 200",
"city": "Chicago",
"state": "IL",
"postal_code": "60642",
"country": "US"
},
"timezone": "America/Chicago",
"merchant_category_code": "5812",
"external_reference": "store_chicago_01",
"metadata": {
"region": "midwest"
},
"created_at": 1787625600,
"updated_at": 1787625600
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Merchant secret key, or an authorized Platform secret key with delegation.
Headers
Merchant ID when an authorized Platform acts for a connected Merchant. Omit when authenticating directly as that Merchant.
^mer_[0-9A-Za-z]{14}$Reuse only when retrying the same route and request body.
1 - 255Body
Name for the location, shown in your records.
1 - 100Street address of a location.
Show child attributes
Show child attributes
Valid IANA timezone name, such as America/Chicago.
1Four-digit Merchant Category Code.
^[0-9]{4}$Optional identifier from your system, unique per Merchant and key mode.
128Up to 50 string keys; keys are at most 40 characters and values are at most 500 characters.
Show child attributes
Show child attributes
Response
The created Location.
Unique identifier for the location (loc_…).
^loc_[0-9A-Za-z]{14}$terminal.location ID of the account that owns the location (mer_…).
^mer_[0-9A-Za-z]{14}$Derived from the secret key; it cannot be set in the request body.
Name for the location.
Street address of a location.
Show child attributes
Show child attributes
IANA timezone name for the location, such as America/Chicago.
Four-digit Merchant Category Code for the location.
^[0-9]{4}$Empty when no external reference is assigned.
Up to 50 string keys; keys are at most 40 characters and values are at most 500 characters.
Show child attributes
Show child attributes
Unix epoch seconds.
Unix epoch seconds.

